Subject: bug#9379: 24.0.50; M-x dirs doesn't work under, for instance, "a & b" directory

From: Kenichi Handa <[email-masked]>
Date: Fri, 26 Aug 2011 09:55:07 +0900

When I am in a directory that contains '&' character, M-x
dirs just shows the message "Couldn't cd".

% mkdir 'a & b'
% cd 'a & b'

Here, Emacs still thinks that I'm not under 'a & b' (I think
it itself is a bug).  Now I type M-x dirs RET to tell Emacs
that I'm under 'a & b', but Emacs's idea of where I am
doesn't change.

---
Kenichi Handa
[email-masked]

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2011-08-25 on etlken
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: RMAIL Summary

Minor modes in effect:
  shell-dirtrack-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
h e l l * SPC b u f f f e r , <backspace> <backspace> 
<backspace> <backspace> e r , SPC t h e SPC <M-backspace> 
a SPC f i l e SPC a r g u m e n t SPC t o SPC t h e 
SPC c o m m a n d SPC " s c p " SPC i s SPC n o t SPC 
c o m p l e t e d . SPC SPC F o r SPC i n s t a n c 
e : <return> <return> % SPC m k d i r SPC t m p <return> 
% SPC c d SPC t m p <return> % SPC t o u c h SPC a 
a a <return> % SPC s c p SPC a < T A B > <return> <return> 
s h o w s SPC " N o SPC m a t c h " C-x o C-x C-g C-x 
s M-p <return> C-x o . SPC SPC C u r r e n t l y SPC 
I SPC f o u n d SPC o n l y SPC " s c p " SPC c o m 
m a n d SPC h a s SPC t h e SPC p r o b l e m . SPC 
SPC <backspace> <backspace> C-p C-n C-n C-n C-p C-p 
C-e SPC SPC V e r y SPC s t r a n g e . <return> <return> 
C-u 7 C-c C-w C-n C-n C-n C-k C-k C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-n C-n C-n C-n 
C-n C-n C-n C-c C-c y e s <return> M-x r e p o r t 
<tab> <return>

Recent messages:
Checking for load-path shadows...done
Mark set
History item: 1
Auto-saving...done
Mark set
Auto-saving...done
Sending...
Sending via mail...
Sending email...done
Sending...done

Load-path shadows:
/usr/local/share/emacs/site-lisp/evi-mule hides /usr/local/share/emacs/site-lisp/lookup/evi-mule
/usr/local/share/emacs/site-lisp/evi hides /usr/local/share/emacs/site-lisp/lookup/evi
/usr/local/share/emacs/site-lisp/anthy/anthy hides /usr/local/share/emacs/site-lisp/egg/egg/anthy
/usr/local/share/emacs/site-lisp/egg/its/thai hides /usr/local/work/emacs/stable/lisp/language/thai
/usr/local/share/emacs/site-lisp/egg/its/greek hides /usr/local/work/emacs/stable/lisp/language/greek
/usr/local/work/emacs/stable/lisp/textmodes/table hides ~/emacslisp/table
/usr/local/work/emacs/stable/lisp/language/thai-word hides ~/emacslisp/thai-word
/usr/local/work/emacs/stable/lisp/progmodes/prolog hides ~/emacslisp/prolog
/usr/local/work/emacs/stable/lisp/emacs-lisp/syntax hides ~/emacslisp/syntax
/usr/local/work/emacs/stable/lisp/textmodes/tex-mode hides ~/emacslisp/tex-mode

Features:
(network-stream starttls tls mailalias smtpmail auth-source
eieio byte-opt bytecomp byte-compile cconv macroexp assoc
password-cache sendmail newcomment shadow sort gnus-util
mail-extr emacsbug multi-isearch pcmpl-unix sgml-mode
image-mode help-mode view qp rmailkwd rmailmm message
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies
mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
ansi-color shell pcomplete comint regexp-opt ring
js2-mode-autoloads package tabulated-list rmail-parse-url
time rmail-sa rmailsum rmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date japan-util tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button
faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
emacs)